package de.sebse.fuplanner2

import android.app.Application
import de.sebse.fuplanner2.auth.AppAccounts
import de.sebse.fuplanner2.database.AppDatabase
import de.sebse.fuplanner2.preferences.AppPreferences

class CustomApplication: Application() {
    override fun onCreate() {
        super.onCreate()
        AppDatabase.initialize(applicationContext)
        AppPreferences.initialize(applicationContext)
        AppAccounts.initialize(applicationContext)
    }
}